%define shortname lcf
%define major   0
%define libname %mklibname %{shortname} %{major}
%define devname %mklibname %{shortname} -d

Name:           liblcf
Version:        0.8.1
Release:        %mkrel 1
Summary:        Library to handle RPG Maker 2000/2003 and EasyRPG projects
Group:          System/Libraries
License:        MIT
URL:            https://easyrpg.org
Source0:        https://easyrpg.org/downloads/player/%{version}/%{name}-%{version}.tar.xz
Patch0:         liblcf-libify.patch

BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  icu-devel
BuildRequires:  pkgconfig(expat)
BuildRequires:  pkgconfig(inih)

%description
liblcf is a library to handle RPG Maker 2000 and 2003 game data.
It can read and write LCF and XML files. Part of C++ source files
can be regenerated from templates and CSV files using a Python script.

liblcf is part of the EasyRPG Project. More information is available
at the project website: easy-rpg.org

%files
%{_bindir}/lcf2xml
%{_bindir}/lcfstrings

#----------------------------------------------------------------------

%package -n     %{libname}
Summary:        Library to handle RPG Maker 2000/2003 and EasyRPG projects
Group:          System/Libraries
Requires:	%name = %version-%release

%description -n %{libname}
liblcf is a library to handle RPG Maker 2000 and 2003 game data.
It can read and write LCF and XML files. Part of C++ source files
can be regenerated from templates and CSV files using a Python script.

liblcf is part of the EasyRPG Project. More information is available
at the project website: easy-rpg.org

%files -n       %{libname}
%doc AUTHORS.md README.md
%license COPYING
%{_datadir}/mime/*
%{_libdir}/%{name}.so.%{major}
%{_libdir}/%{name}.so.%{version}

#----------------------------------------------------------------------

%package -n     %{devname}
Summary:        Development headers and library for %{name}
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       %{shortname}-devel = %{version}-%{release}

%description -n %{devname}
This package contains development headers and library for %{name},
a library which handles RPG Maker 2000/2003 and EasyRPG projects.

%files -n       %{devname}
%{_includedir}/lcf/
%{_libdir}/%{name}.so
%{_libdir}/cmake/liblcf/
%{_libdir}/pkgconfig/%{name}.pc

#----------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake \
  -DDISABLE_UPDATE_MIMEDB=ON
%cmake_build

%install
%cmake_install


%changelog
* Fri Apr 11 2025 daviddavid <daviddavid> 0.8.1-1.mga10
+ Revision: 2174598
- new version: 0.8.1

* Sun Jan 12 2025 wally <wally> 0.8-2.mga10
+ Revision: 2138495
- rebuild for icu 76.1

* Sun Apr 28 2024 daviddavid <daviddavid> 0.8-1.mga10
+ Revision: 2061362
- new version: 0.8

* Tue Oct 10 2023 daviddavid <daviddavid> 0.7.0-4.mga10
+ Revision: 1994138
- rebuild for icu73

* Sat Jan 07 2023 squidf <squidf> 0.7.0-3.mga9
+ Revision: 1931137
- Mass rebuild for icu 72.1

* Sat Dec 10 2022 papoteur <papoteur> 0.7.0-2.mga9
+ Revision: 1920221
- Fix cmake module allowing to detect liblcf

* Sun Oct 09 2022 neoclust <neoclust> 0.7.0-1.mga9
+ Revision: 1895915
- New version 0.7.0

* Sat Jun 18 2022 squidf <squidf> 0.6.2-5.mga9
+ Revision: 1864867
- rebuild for icu 71.1

* Sat Mar 19 2022 umeabot <umeabot> 0.6.2-4.mga9
+ Revision: 1799572
- Mageia 9 Mass Rebuild

* Tue Aug 03 2021 luigiwalser <luigiwalser> 0.6.2-3.mga9
+ Revision: 1738939
- rebuild for icu

* Mon Nov 30 2020 luigiwalser <luigiwalser> 0.6.2-2.mga8
+ Revision: 1650895
- rebuild for icu

* Mon Oct 12 2020 akien <akien> 0.6.2-1.mga8
+ Revision: 1633904
- Version 0.6.2

* Wed Jul 01 2020 wally <wally> 0.6.1-6.mga8
+ Revision: 1601035
- rebuild for icu 67.1

* Sat Apr 04 2020 wally <wally> 0.6.1-5.mga8
+ Revision: 1564471
- rebuild for new icu 66.1

* Sun Feb 16 2020 umeabot <umeabot> 0.6.1-4.mga8
+ Revision: 1534610
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sat Oct 05 2019 daviddavid <daviddavid> 0.6.1-3.mga8
+ Revision: 1449448
- rebuild for new icu 65.1

* Tue Sep 03 2019 akien <akien> 0.6.1-2.mga8
+ Revision: 1436588
- Fix pkgconfig include and lib paths

* Tue Sep 03 2019 akien <akien> 0.6.1-1.mga8
+ Revision: 1436573
- Version 0.6.1

* Sun Apr 21 2019 akien <akien> 0.6.0-1.mga7
+ Revision: 1394355
- Version 0.6.0

* Sat Dec 29 2018 luigiwalser <luigiwalser> 0.5.4-2.mga7
+ Revision: 1346101
- rebuild for icu

* Sat Nov 03 2018 daviddavid <daviddavid> 0.5.4-1.mga7
+ Revision: 1327942
- new version: 0.5.4

* Mon Aug 27 2018 daviddavid <daviddavid> 0.5.3-2.mga7
+ Revision: 1254941
- rebuild for new icu

* Sun Feb 04 2018 daviddavid <daviddavid> 0.5.3-1.mga7
+ Revision: 1198791
- new version: 0.5.3

* Fri Dec 29 2017 wally <wally> 0.5.2-2.mga7
+ Revision: 1186984
- rebuild for new icu

* Sat Jul 01 2017 akien <akien> 0.5.2-1.mga6
+ Revision: 1108789
- Version 0.5.2

* Wed Apr 12 2017 akien <akien> 0.5.1-1.mga6
+ Revision: 1096488
- Version 0.5.1

* Wed Mar 15 2017 mrambo3501 <mrambo3501> 0.5.0-2.mga6
+ Revision: 1092716
- Rebuild for icu-58.2

* Sat Oct 08 2016 akien <akien> 0.5.0-1.mga6
+ Revision: 1059628
- Version 0.5.0

* Sat May 14 2016 shlomif <shlomif> 0.4.1-3.mga6
+ Revision: 1015285
- Rebuild for the new UCI (new major)

* Fri May 13 2016 barjac <barjac> 0.4.1-2.mga6
+ Revision: 1015050
- Rebuild for ICU

* Sat Apr 02 2016 akien <akien> 0.4.1-1.mga6
+ Revision: 997633
- Version 0.4.1

* Mon Jan 04 2016 akien <akien> 0.4.0-1.mga6
+ Revision: 919391
- Version 0.4.0

* Fri Jan 01 2016 luigiwalser <luigiwalser> 0.2.2-4.mga6
+ Revision: 917909
- rebuild for icu

* Mon Aug 31 2015 cjw <cjw> 0.2.2-3.mga6
+ Revision: 871550
- rebuild with gcc 5

* Fri Jul 24 2015 cjw <cjw> 0.2.2-2.mga6
+ Revision: 856800
- rebuild for icu 55

* Tue Dec 02 2014 akien <akien> 0.2.2-1.mga5
+ Revision: 800395
- Version 0.2.2

* Wed Oct 15 2014 umeabot <umeabot> 0.2.1-3.mga5
+ Revision: 747563
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.1-2.mga5
+ Revision: 681574
- Mageia 5 Mass Rebuild

* Thu Jul 03 2014 akien <akien> 0.2.1-1.mga5
+ Revision: 642789
- Version 0.2.1

* Sat Jun 28 2014 akien <akien> 0.2-2.mga5
+ Revision: 640845
- Development library requires the main library

* Sat Jun 28 2014 akien <akien> 0.2-1.mga5
+ Revision: 640808
- imported package liblcf

